# QVM: Quaternions, Vectors, Matrices

### qref

#include <boost/qvm/quat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_quat<A>::value
            template <class A>
            -unspecified-return-type- qref( A & a );
        }
    }

#### Returns:

An identity view proxy of a; that is, it simply accesses the elements of a.

This allows calling Boost QVM operations when a is of built-in type, for example a plain old C array.

See also: boost/qvm/quat_operations.hpp | boost/qvm/quat_traits_array.hpp